
GdiPlusErrMsg STRUC
	pErrCode	dd ?	;pointer to error code name
	pErrMsg		dd ?	;pointer to error message description
GdiPlusErrMsg ends
;--------------------------------------------------------------------------------

.data

   _xGdiPlusErrStatus_0		GdiPlusErrMsg <offset _szErrCode_0,offset _szErrMsg_0>
   _xGdiPlusErrStatus_1		GdiPlusErrMsg <offset _szErrCode_1,offset _szErrMsg_1>
   _xGdiPlusErrStatus_2		GdiPlusErrMsg <offset _szErrCode_2,offset _szErrMsg_2>
   _xGdiPlusErrStatus_3		GdiPlusErrMsg <offset _szErrCode_3,offset _szErrMsg_3>
   _xGdiPlusErrStatus_4		GdiPlusErrMsg <offset _szErrCode_4,offset _szErrMsg_4>
   _xGdiPlusErrStatus_5		GdiPlusErrMsg <offset _szErrCode_5,offset _szErrMsg_5>
   _xGdiPlusErrStatus_6		GdiPlusErrMsg <offset _szErrCode_6,offset _szErrMsg_6>
   _xGdiPlusErrStatus_7		GdiPlusErrMsg <offset _szErrCode_7,offset _szErrMsg_7>
   _xGdiPlusErrStatus_8		GdiPlusErrMsg <offset _szErrCode_8,offset _szErrMsg_8>
   _xGdiPlusErrStatus_9		GdiPlusErrMsg <offset _szErrCode_9,offset _szErrMsg_9>
   _xGdiPlusErrStatus_10	GdiPlusErrMsg <offset _szErrCode_10,offset _szErrMsg_10>
   _xGdiPlusErrStatus_11	GdiPlusErrMsg <offset _szErrCode_11,offset _szErrMsg_11>
   _xGdiPlusErrStatus_12	GdiPlusErrMsg <offset _szErrCode_12,offset _szErrMsg_12>
   _xGdiPlusErrStatus_13	GdiPlusErrMsg <offset _szErrCode_13,offset _szErrMsg_13>
   _xGdiPlusErrStatus_14	GdiPlusErrMsg <offset _szErrCode_14,offset _szErrMsg_14>
   _xGdiPlusErrStatus_15	GdiPlusErrMsg <offset _szErrCode_15,offset _szErrMsg_15>
   _xGdiPlusErrStatus_16	GdiPlusErrMsg <offset _szErrCode_16,offset _szErrMsg_16>
   _xGdiPlusErrStatus_17	GdiPlusErrMsg <offset _szErrCode_17,offset _szErrMsg_17>
   _xGdiPlusErrStatus_18	GdiPlusErrMsg <offset _szErrCode_18,offset _szErrMsg_18>
   _xGdiPlusErrStatus_19	GdiPlusErrMsg <offset _szErrCode_19,offset _szErrMsg_19>
   _xGdiPlusErrStatus_20	GdiPlusErrMsg <offset _szErrCode_20,offset _szErrMsg_20>
   _xGdiPlusErrStatus_21	GdiPlusErrMsg <offset _szErrCode_21,offset _szErrMsg_21>

   _szErrCode_0				db "GpStatusOk",0
   _szErrMsg_0				db "Indicates that the method call was successful",0
   _szErrCode_1				db "GpStatusGenericError",0
   _szErrMsg_1				db "Indicates that there was an error on the method call, which is identified as something other than those defined by the other elements of this enumeration",0
   _szErrCode_2				db "GpStatusInvalidParameter",0
   _szErrMsg_2				db "Indicates that one of the arguments passed to the method was not valid",0
   _szErrCode_3				db "GpStatusOutOfMemory",0
   _szErrMsg_3				db "Indicates that the operating system is out of memory and could not allocate memory to process the method call. For an explanation of how constructors use the OutOfMemory status, see the Remarks section at the end of this topic",0
   _szErrCode_4				db "GpStatusObjectBusy",0
   _szErrMsg_4				db "Indicates that one of the arguments specified in the API call is already in use in another thread",0
   _szErrCode_5				db "GpStatusInsufficientBuffer",0
   _szErrMsg_5				db "Indicates that a buffer specified as an argument in the API call is not large enough to hold the data to be received",0
   _szErrCode_6				db "GpStatusNotImplemented",0
   _szErrMsg_6				db "Indicates that the method is not implemented",0
   _szErrCode_7				db "GpStatusWin32Error",0
   _szErrMsg_7				db "Indicates that the method generated a Microsoft Win32 error",0
   _szErrCode_8				db "GpStatusWrongState",0
   _szErrMsg_8				db "Indicates that the object is in an invalid state to satisfy the API call. For example, calling Pen::GetColor from a pen that is not a single, solid color results in a WrongState status",0
   _szErrCode_9				db "GpStatusAborted",0
   _szErrMsg_9				db "Indicates that the method was aborted",0
   _szErrCode_10			db "GpStatusFileNotFound",0
   _szErrMsg_10				db "Indicates that the specified image file or metafile cannot be found",0
   _szErrCode_11			db "GpStatusValueOverflow",0
   _szErrMsg_11				db "Indicates that the method performed an arithmetic operation that produced a numeric overflow",0
   _szErrCode_12			db "GpStatusAccessDenied",0
   _szErrMsg_12				db "Indicates that a write operation is not allowed on the specified file",0
   _szErrCode_13			db "GpStatusUnknownImageFormat",0
   _szErrMsg_13				db "Indicates that the specified image file format is not known",0
   _szErrCode_14			db "GpStatusFontFamilyNotFound",0
   _szErrMsg_14				db "Indicates that the specified font family cannot be found. Either the font family name is incorrect or the font family is not installed",0
   _szErrCode_15			db "GpStatusFontStyleNotFound",0
   _szErrMsg_15				db "Indicates that the specified style is not available for the specified font family",0
   _szErrCode_16			db "GpStatusNotTrueTypeFont",0
   _szErrMsg_16				db "Indicates that the font retrieved from an HDC or LOGFONT is not a TrueType font and cannot be used with GDI+",0
   _szErrCode_17			db "GpStatusUnsupportedGdiplusVersion",0
   _szErrMsg_17				db "Indicates that the version of GDI+ that is installed on the system is incompatible with the version with which the application was compiled",0
   _szErrCode_18			db "GpStatusGdiplusNotInitialized",0
   _szErrMsg_18				db "Indicates that the GDI+API is not in an initialized state. To function, all GDI+ objects require that GDI+ be in an initialized state. Initialize GDI+ by calling GdiplusStartup",0
   _szErrCode_19			db "GpStatusPropertyNotFound",0
   _szErrMsg_19				db "Indicates that the specified property does not exist in the image",0
   _szErrCode_20			db "GpStatusPropertyNotSupported",0
   _szErrMsg_20				db "Indicates that the specified property is not supported by the format of the image and, therefore, cannot be set",0
   _szErrCode_21			db "GpStatusProfileNotFound",0
   _szErrMsg_21				db "Indicates that the color profile required to save an image in CMYK format was not found",0
   
;--------------------------------------------------------------------------------


